module ModTest7 interface;

export
  ModTest = (r, st2..st4);  (* Fixed: Exported ranges are supported now. *)

type
  arange = (st1, st2, st3, st4, st5);

var
  r: arange;

end.

module ModTest7 implementation;

end.

program Mod7b(output);

import
  ModTest;

begin
  r := st5;  (* WRONG *)
  writeln('failed')
end.
